#
# spec file for package xfce4-icon-theme
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfce4-icon-theme
Version:        4.4.3
Release:        33.1
Summary:        Default Icon Theme for the Xfce Desktop Environment
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://www.xfce.org/
Source:         http://archive.xfce.org/src/art/xfce4-icon-theme/4.4/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains the default icon theme for Xfce desktop environment.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

# remove /usr/lib/pkgconfig/xfce4-icon-theme-1.0.pc
rm -rf %{buildroot}%{_libdir}

%icon_theme_cache_create_ghost Rodent

%fdupes %{buildroot}%{_datadir}/icons/Rodent

%clean
rm -rf %{buildroot}

%post
%icon_theme_cache_post Rodent

%files
%defattr(-,root,root)
%doc README ChangeLog INSTALL COPYING AUTHORS
%ghost %{_datadir}/icons/Rodent/icon-theme.cache
%{_datadir}/icons/Rodent
%dir %{_datadir}/xfce4
%dir %{_datadir}/xfce4/mime
%{_datadir}/xfce4/mime/Rodent.mime.xml

%changelog
* Fri Mar 30 2012 gber@opensuse.org
- specfile cleanup
* Fri Feb 18 2011 gber@opensuse.org
- create dummy cache file only on >= 11.4
* Thu Feb 17 2011 gber@opensuse.org
- call %%icon_theme_cache_post and create dummy cache file
* Mon Dec 27 2010 gber@opensuse.org
- use fdupes
* Wed Oct 29 2008 bwalle@suse.de
- update to 4.4.3
* Mon Dec  3 2007 bwalle@suse.de
- update to 4.4.2
* Sat Jun 23 2007 bwalle@suse.de
- replaced group 'System/GUI/Other' by 'System/GUI/XFCE'
* Tue Apr 10 2007 bwalle@suse.de
- update to 4.4.1 (no upstream changelog for this subpackage)
* Thu Jan 25 2007 bwalle@suse.de
- upgraded to 4.4.0
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 pnemec@suse.cz
- update to 4.2.3
* Wed Sep 14 2005 cthiel@suse.de
- specfile cleanup
* Wed May 18 2005 cthiel@suse.de
- update to 4.2.2
* Tue Apr 12 2005 cthiel@suse.de
- initial version
